--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: AUTO_INCREMENT
  value: "'IDENTITY(1,1)'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: SERVER_VERSION_RE
  value: /^(\d+)\.(\d+)\.(\d+)/.freeze
- !ruby/object:RI::Constant 
  comment: 
  name: SERVER_VERSION_SQL
  value: "\"SELECT CAST(SERVERPROPERTY('ProductVersion') AS varchar)\".freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: SQL_BEGIN
  value: "\"BEGIN TRANSACTION\".freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: SQL_COMMIT
  value: "\"COMMIT TRANSACTION\".freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: SQL_ROLLBACK
  value: "\"IF @@TRANCOUNT > 0 ROLLBACK TRANSACTION\".freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: SQL_ROLLBACK_TO_SAVEPOINT
  value: "'ROLLBACK TRANSACTION autopoint_%d'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: SQL_SAVEPOINT
  value: "'SAVE TRANSACTION autopoint_%d'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: TEMPORARY
  value: "\"#\".freeze"
full_name: Sequel::MSSQL::DatabaseMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: database_type
- !ruby/object:RI::MethodSummary 
  name: server_version
- !ruby/object:RI::MethodSummary 
  name: supports_savepoints?
- !ruby/object:RI::MethodSummary 
  name: tables
name: DatabaseMethods
superclass: 
